void libraryEvent(Object library, int event, Object data) {
  if (library == bt) {
    switch (event) {
    case Bluetooth.EVENT_DISCOVER_DEVICE:
      msg = "Found device at: " + ((Device) data).address + "...";
      break;
    case Bluetooth.EVENT_DISCOVER_DEVICE_COMPLETED:
      if (length((Device[]) data)>0)
        msg = "Found " + length((Device[]) data) + " devices, looking for game...";
      else msg = "Nothing found.";
      break;
    case Bluetooth.EVENT_DISCOVER_SERVICE:      
      msg = "Found game on " + ((Service[]) data)[0].device.address + ".\n Press -> to begin";
      break;
    case Bluetooth.EVENT_DISCOVER_SERVICE_COMPLETED:
      services = (Service[]) data;
      break;
    case Bluetooth.EVENT_CLIENT_CONNECTED:
      c = (Client) data;
      state = STATE_PLAYING;
      YOUR_SIDE = 1;
      break;
    }
  }
}
