void drawBall()
{
    ballPos[0]=ballNextPos[0];
    ballPos[1]=ballNextPos[1];
    drawStillBall();
}

void drawStillBall()
{
    fill(100,0,0); 
    ellipse(ballPos[0],ballPos[1],ballRadius+ballRadius,ballRadius+ballRadius);   
}

void calcNextBallPos()
{
  ballNextPos[1]=ballPos[1]+div(ballVel[1]+=ballAcc[1],gravityConstant);
  ballNextPos[0]=ballPos[0]+div(ballVel[0]+=ballAcc[0],gravityConstant);
}

void calcBallCollisions()
{
      
  if(ballNextPos[0]+ballRadius>=racketNextPos[0] && ballNextPos[0]<=racketNextPos[0]+racketWidth){
    if(ballNextPos[1]+ballRadius>=racketNextPos[1] && ballNextPos[1]<=racketNextPos[1]+racketHeight){
      ballVel[1]=-(ballVel[1]-racketVel[1]);
      ballVel[0]=-(ballVel[0]-racketVel[0]);
      ballNextPos[1]=racketPos[1]+div(racketVel[1]+racketAcc[1],gravityConstant)-ballRadius;

    }
  } 

    if(ballNextPos[1]<-(2*ballRadius))
    {
     if(state==STATE_SINGLEPLAY)
       {
        ballVel[1]=-(ballVel[1]/2);
        ballNextPos[1]=(ballRadius);
       }
     else if(state==STATE_PLAYING)
      {
       ballVel[1]=-(ballVel[1]/2);
       ballPos[1]=(ballRadius/2);
       ballPos[0]=div(ballPos[0],width);
      YOUR_SIDE = 0;
      c.writeInt(ballVel[0]);
      c.writeInt(ballVel[1]);
      c.writeInt(ballAcc[0]);
      c.writeInt(ballAcc[1]);
      c.writeInt(ballPos[0]);
      c.writeInt(ballPos[1]);
      c.writeInt(0);
      c.flush();
    
      ballVel[0] = 0;
      ballVel[1] = 0;
      ballAcc[0] = 0;
      ballAcc[1] = 0;
      }   
    }
    
    else if(ballNextPos[1]>height+(2*ballRadius))
    {
    if(state==STATE_SINGLEPLAY)
     {
      ballVel[1] = 0; 
      ballNextPos[1]=(ballRadius/2);
     }
    else if(state==STATE_PLAYING)
       {
      c.writeInt(ballVel[0]);
      c.writeInt(ballVel[1]);
      c.writeInt(ballAcc[0]);
      c.writeInt(ballAcc[1]);
      c.writeInt(ballPos[0]);
      c.writeInt(ballPos[1]);
      c.writeInt(1);
      c.flush();
      OPPONENT_POINTS++;
      state=STATE_BALL_LOST;
      }
    }
      
  
  if(ballNextPos[0]+ballRadius>width)
  {
    ballNextPos[0]=width-ballRadius;
    ballVel[0]=-ballVel[0];
    ballVel[0]=(ballVel[0]/2);
  }
  else if(ballNextPos[0]-ballRadius<0)
  {
    ballPos[0]=ballRadius;
    ballVel[0]=-ballVel[0];
    ballVel[0]=(ballVel[0]/2);    
  }

}
